commit cc39aed963b5c6044baf37c074413b6273303419
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Nov 5 01:26:25 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 23733dc657b..7b0f631f939 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251104
+20251105
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index 9401a29c06a..abfd3150925 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,14 @@
+2025-11-04  Bob Duff  <duff@adacore.com>
+
+	PR ada/118208
+	* exp_ch5.adb
+	(Expand_Assign_With_Target_Names.Replace_Target):
+	Remove code setting Entity to Empty.
+	* sinfo.ads (Has_Target_Names):
+	Improve comment: add "@" to clarify what "target name"
+	means, and remove the content-free phrase "and must
+	be expanded accordingly."
+
 2025-10-24  Eric Botcazou  <ebotcazou@adacore.com>
 
 	PR ada/118782
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 8cc3c79e347..70a0a5cc0af 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,12 @@
+2025-11-04  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	Backported from master:
+	2025-11-04  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	PR c++/122253
+	* decl2.cc (min_vis_expr_r): Don't mark no-linkage declarations
+	as VISIBILITY_ANON.
+
 2025-11-02  Nathaniel Shead  <nathanieloshead@gmail.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index ab6c960e346..b0478074412 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2025-11-04  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	Backported from master:
+	2025-11-04  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	PR c++/122253
+	* g++.dg/modules/internal-16.C: New test.
+
 2025-11-03  Jeff Law  <jlaw@ventanamicro.com>
 
 	Backported from master:

